{% extends 'Soutenances/base.html' %}

{% block title %} Mon profil {% endblock %}

{% block contenu %}
  {% if user.groupe == "eleves" and etudiant %}
  <div class="container">
    <ul class="list-group">
      <li class="list-group-item liEtuFirst">
        <div class="col-lg-6">
          <img src='/media/{{etudiant.photo}}'>
          <ul class="ulEtudiant">
            <li class="list-group-item"> {{etudiant.prenom}} {{etudiant.nom}}</li>
            <li class="list-group-item"> Détail : {{etudiant.detail}} </li>
            <li class="list-group-item"> Groupe : {{etudiant.groupe.nom}} </li>
          </ul>
        </div>
      <div class="col-lg-6">
        <form action="{% url 'Soutenances:updateprofil' %}" method="POST" enctype="multipart/form-data">
          {% csrf_token %}
          <h3> Modification du profil </h3>
          <input type="text" class="form-control" name="nom" placeholder="Nom" value="{{etudiant.nom}}"/> <br/>
          <input type="text" class="form-control" name="prenom" placeholder="Prenom" value="{{etudiant.prenom}}"/> <br/>
          <input type="text" class="form-control" name="detail" placeholder="Détail" value="{{etudiant.detail}}"/> <br/>
          <input type="file" class="form-control-file" name="photo" value="{{etudiant.photo}}"/> <br/>
          <select class="form-control" name="groupe">
            {% for groupe in groupes %}
              {% if groupe == etudiant.groupe %}
              <option value="{{groupe}}" selected> {{groupe}} </option>
              {% else %}
              <option value="{{groupe}}"> {{groupe}} </option>
              {% endif %}
            {% endfor %}
          </select> <br/>
          <button type="submit" class="btn btn-warning"><i class="glyphicon glyphicon-pencil"></i> Modifier </button>
        </form>
      </div>
      </li>
    </ul>
  </div>
  {% elif user.groupe == "professeurs" and enseignant %}
  <div class="container">
    <ul class="list-group">
      <li class="list-group-item liEtuFirst">
        <div class="col-lg-6">
          <img src='/media/{{enseignant.photo}}'>
          <ul class="ulEtudiant">
            <li class="list-group-item"> {{enseignant.prenom}} {{enseignant.nom}}</li>
            <li class="list-group-item"> Détail : {{enseignant.detail}} </li>
          </ul>
        </div>
      <div class="col-lg-6">
        <form action="{% url 'Soutenances:updateprofil' %}" method="POST" enctype="multipart/form-data">
          {% csrf_token %}
          <h3> Modification du profil </h3>
          <input type="text" class="form-control" name="nom" placeholder="Nom" value="{{enseignant.nom}}"/> <br/>
          <input type="text" class="form-control" name="prenom" placeholder="Prenom" value="{{enseignant.prenom}}"/> <br/>
          <input type="text" class="form-control" name="detail" placeholder="Détail" value="{{enseignant.detail}}"/> <br/>
          <input type="file" class="form-control-file" name="photo" value="{{enseignant.photo}}"/> <br/>
          <button type="submit" class="btn btn-warning"><i class="glyphicon glyphicon-pencil"></i> Modifier </button>
        </form>
      </div>
      </li>
    </ul>
  </div>
  {% else %}

  {% endif %}
{% endblock %}
